<%@page import="com.temboo.facebook.oauth.FacebookAuthHelper"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Facebook OAuth Demo</title>
<style>
body {
	font-family: Sans-Serif;
	margin: 1em;
}

.facebookExample a {
	display: block;
	border-style: solid;
	border-color: #bbb #888 #666 #aaa;
	border-width: 1px 2px 2px 1px;
	background: #ccc;
	color: #333;
	line-height: 2;
	text-align: center;
	text-decoration: none;
	font-weight: 900;
	width: 13em;
}
</style>
</head>
<body>
	<div class="facebookExample">
		<%
			/*
			 * The FacebookAuthHelper handles the OAuth process.
			 */
			final FacebookAuthHelper helper = new FacebookAuthHelper();

			if (request.getParameter("state") == null) {

				/*
				 * Initial visit to the page. When login button is clicked, the user redirects to 
				 * Facebook where they can login and grant the application access.
				 */
				out.println("<a href='" + helper.getLoginUrl()
						+ "'>Facebook Login</a>");
						
				/*
				 * Set the callback id in session.
				 */
				session.setAttribute("state", helper.getStateToken());

			} else {

				session.removeAttribute("state");

				out.println("<pre>");
				/*
				 * Executes after Facebook redirects to the Temboo callback url.
				 * At this point you can parse the user info to put
				 * it in a store or database.
				 */
				out.println(helper.getUserInfo(request.getParameter("state")));

				out.println("</pre>");
			}
		%>
	</div>
</body>
</html>
